Subject: Re: [PATCH] docs: recommend using contrib/contacts/git-contacts

From: Junio C Hamano <[email-masked]>
Date: Wed, 03 Apr 2024 09:13:17 -0700

Matthias Aßhauer <[email-masked]> writes:

> There is already a paragraph about this in
> Documentation/SubmittingPatches just a few paragraphs below.
>
>> Send your patch with "To:" set to the mailing list, with "cc:" listing
>> people who are involved in the area you are touching (the `git
>> contacts` command in `contrib/contacts/` can help to
>> identify them), to solicit comments and reviews.  Also, when you made
>> trial merges of your topic to `next` and `seen`, you may have noticed
>> work by others conflicting with your changes.  There is a good possibility
>> that these people may know the area you are touching well.
>
> Could we improve the existing paragraph instead of duplicating this
> information?

Absolutely.  I am glad that you were paying attention to the
question that triggered this patch ;-)

We may want to add to coding guidelines to try avoiding to word wrap
a line in the middle of a multi-word phrase.  If such a rule were
followed,

    $ git grep git.contacts Documentation

would easily had found the existing passage.

Thanks.